Catalogue

Retrieve trending titles based on checkout activity for a specific library location.

This endpoint returns the most frequently checked-out titles within a selected time period for a given library location.

get
https://openweb-api.nlb.gov.sg/api/v2/Catalogue/GetMostCheckoutsTrendsTitles

Query Parameters

LocationCodestringrequired

Location code to return most Checkouts titles from this location. Refer to table T001.

Match pattern:^(TRL|WRL|CMPL|LKCRL|AMKPL|BBPL|BPPL|BMPL|CLL|CSPL|CCKPL|GEPL|JRL|JWPL|QUPL|TPPL|YIPL|OCPL|CNPL|SBPL|LSC|SRPL|LOLC|MPPL|BEPL|SKPL|EPPL|MOLLEY|PRPL|BIPL|LSCAV|07LKCRL|08LKCRL|09LKCRL|11LKCRL|HBPL|PRL)$

Example:AMKPL

Durationstring

Duration to return most Checkouts titles.

Available values : past30days, pastmonth

Match pattern:^(pastmonth|past30days)$

Default:past30days

Example:past30days

Response

application/json

OK

SearchMostCheckoutsTitlesResponse

* Additional properties are NOT allowed.
checkoutsTrendsarray[object]
* Additional properties are NOT allowed.
Show Child Parameters
get/GetMostCheckoutsTrendsTitles
 
application/json

Retrieve detailed information for a specific item.

This endpoint retrieves detailed information for the item identified by the provided item id.

get
https://openweb-api.nlb.gov.sg/api/v2/Catalogue/GetItem

Query Parameters

ItemIdstringrequired

Item accession number.

Response

application/json

OK

GetItemResponseModel

* Additional properties are NOT allowed.
irninteger(int32)

Item Internal Identifier.

Example:99999999

itemIdstring

Item Id.

Example:BxxxxxxxJ

brninteger(int32)

Title record Book Reference Number.

Example:99999999

volumeNamestring | null

Volume Identifier.

Example:2023 issue 1

callNumberstring

Call Number.

Example:123.123 ART

formattedCallNumberstring

Formatted Call Number.

Example:English 123.123 -[ART]

mediaobjectrequired

Item Material Type. Please refer to code list C002.

* Additional properties are NOT allowed.
Show Child Parameters
usageLevelobjectrequired

Usage Level. Please refer to code list C004.

* Additional properties are NOT allowed.
Show Child Parameters
locationobjectrequired

Library Location. Please refer to code list C005.

* Additional properties are NOT allowed.
Show Child Parameters
courseCodeobject

Course Code.

* Additional properties are NOT allowed.
Show Child Parameters
languagestring

Language.

Example:English

suffixstring | null

Suffix.

Example:-[ART]

donorstring | null

Item donated by information.

Example:Donated by abc

pricenumber | null(double)

Item price.

Example:9999.99

statusobject

Item Status.

* Additional properties are NOT allowed.
Show Child Parameters
transactionStatusobjectrequired

Item Transactional Status. Please refer to code list C003.

* Additional properties are NOT allowed.
Show Child Parameters
minAgeLimitinteger(int32)

Title age limit.

Example:13

get/GetItem
 
application/json

BadRequestError

object

Error contents including the specific error

* Additional properties are NOT allowed.
statusCodeinteger(int32)

The status code of the error.

Example:400

errorstringrequired

The type of the error.

>= 1 characters

Example:Bad Request

messagestringrequired

The message of the error.

>= 1 characters

Example:FieldName is missing.

Example

BibFormat

object

Bibliographic Formats. Please refer to code list C001.

* Additional properties are NOT allowed.
codestringrequired

Bibliographic Format code.

>= 1 characters

Example:BK

namestringrequired

Bibliographic Format desc.

>= 1 characters

Example:BOOKS

Example

BookCover

object
* Additional properties are NOT allowed.
smallstring

Small size image url

mediumstring

Medium size image url

largestring

Large size image url

Example